@import "variables.sass"

html,body
    margin: 0
    padding: 0
    background: #111

#app 
  font-family: 'Avenir', Helvetica, Arial, sans-serif
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale
  text-align: center
  color: #efefef
  font-weight: 500
  letter-spacing: 0.1em

*
    box-sizing: border-box

a
    text-decoration: none
    color: inherit

img
    max-width: 100%

.page
    position: relative
    width: 100%
    height: 100vh
    display: flex
    align-items: center
    .page-wrapper
        width: 100%

.en-sm
    font-size: 0.875em
    text-transform: uppercase
.en-xs
    font-size: 0.6em
    text-transform: uppercase

.btn-brand
    border: 1px solid $color-brand
    color: $color-brand
    padding: 0.5em 3em
    background: black
    display: inline-block
    line-height: 1
    font-weight: 600

.space
    display: block
    &-xs
        height: $space-xs
    &-sm
        height: $space-sm
    &-md
        height: $space-md
    &-lg
        height: $space-lg
    &-xs
        height: $space-xs




.config.page
    .venues
        display: flex
        width: 640px
        text-align: center
        margin: 0 auto
        .block--venue
            flex: 1
            text-align: center
            padding: $space-md 1em
            border: 1px solid $color-brand
            background: black
            color: $color-brand
            display: inline-block
            & + .block--venue
                border-left: 0
            &.active
                background: $color-brand
                color: black
    .roles
        display: flex
        width: 640px
        text-align: center
        margin: 0 auto
        .block--role
            flex: 1
            text-align: center
            padding: $space-md 1em
            border: 1px solid $color-brand
            background: black
            color: $color-brand
            display: inline-block
            & + .block--role
                border-left: 0
            &.active
                background: $color-brand
                color: black
        


